---
search:
  tags:
    - Merchant Registry
    - GET
seo:
  description: >-
    List merchant API keys (metadata only). Reference for the GET
    /v1/merchants/{id}/api-keys endpoint in the agentsub Gateway API.
sidebar:
  label: List merchant API keys (metadata only)
  badge: GET
title: List merchant API keys (metadata only)
type: openapi-operation
---
`GET /v1/merchants/{id}/api-keys`

**Responses**

- `200` — Key metadata (no secrets)
- `401` — \`unauthorized\` problem; live 401s advertise \`WWW-Authenticate: Bearer resource\_metadata=...\`
- `403` — Identity, ownership, scope or policy denied (\`human\_required\`, \`owner\_claim\_required\`, \`scope\_required\`, \`FROZEN\`, \`CAP\_EXCEEDED\`, \`SCOPE\_FORBIDDEN\`)
- `503` — Runtime or provider configuration unavailable (\`runtime\_configuration\_required\`, \`signing\_configuration\_required\`, \`runtime\_unavailable\`, \`workspace\_unavailable\`, \`provider\_configuration\_required\`)

Response example, 200:

```json
{
  "apiKeys": [
    {
      "keyId": "string",
      "merchantId": "string",
      "ownerId": "string",
      "name": "string",
      "scopes": [
        "redemptions:capture"
      ],
      "createdAt": 0,
      "revokedAt": 0,
      "id": "string"
    }
  ]
}
```
